=?utf-8?q?=5Bfolks=5D_Bug_685250_=E2=80=94_make_=3Ctest=3E=2Egdb_deadlock?= =?utf-8?q?s?=



commit 4b7db8692d58d8627805f4c45a1c2e885b46653c
Author: Philip Withnall <philip tecnocode co uk>
Date:   Sun Oct 21 12:24:10 2012 +0100

    Bug 685250 â make <test>.gdb deadlocks
    
    Always set CHECK_VERBOSE when running tests under gdb so that output (from
    gdb) isnât redirected to a log file. Apparently, headless gdb is hard to
    use.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=685250

 NEWS                        |    1 +
 check.mk                    |    1 +
 tests/tools/execute-test.sh |    4 +++-
 3 files changed, 5 insertions(+), 1 deletions(-)
---
diff --git a/NEWS b/NEWS
index fd2f735..2088f02 100644
--- a/NEWS
+++ b/NEWS
@@ -10,6 +10,7 @@ Bugs fixed:
 â Bug 682941 â API to configure input of aggregation
 â Bug 685084 â Add a folks backend for ofono phonebook
 â Bug 686056 â Add api to create and remove address books
+â Bug 685250 â make <test>.gdb deadlocks
 
 API changes:
 â Add Backend.enable_persona_store and disable_persona_store.
diff --git a/check.mk b/check.mk
index 34951c4..55ebf83 100644
--- a/check.mk
+++ b/check.mk
@@ -1,6 +1,7 @@
 # taken from gstreamer
 # gdb any given test by running make test.gdb
 %.gdb: %
+	CHECK_VERBOSE=1 \
 	$(TESTS_ENVIRONMENT) \
 	$(LIBTOOL) --mode=execute \
 	gdb $*
diff --git a/tests/tools/execute-test.sh b/tests/tools/execute-test.sh
index cb211aa..54b4e33 100755
--- a/tests/tools/execute-test.sh
+++ b/tests/tools/execute-test.sh
@@ -19,7 +19,9 @@ fi
 
 # if exit code is 0, check for skipped tests
 if test z$e = z0; then
-  grep -i skipped capture-$$.log || true
+  if test -f capture-$$.log; then
+    grep -i skipped capture-$$.log || true
+  fi
   rm -f capture-$$.log
 # exit code is not 0, so output log and exit
 else



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]